Bug 446106 - dispatcher script 05-netfs problem
Summary: dispatcher script 05-netfs problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-05-12 19:14 UTC by Lucian Langa
Modified: 2008-11-03 21:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-03 21:40:54 UTC


Attachments (Terms of Use)

Description Lucian Langa 2008-05-12 19:14:19 UTC
Description of problem:
Dispatcher script for starting netfs service wrongly gets default gateway device.

The following:

 defdev=$(/sbin/ip route ls | awk '/^default/ { print $NF }')

will only work for:

 default IP_ADDR dev GW_DEW

but a default route output (ip ro ls) could also contain

 proto PROTO src SRC_ADDR


This could be fixed like this:

 defdev=$(/sbin/ip route ls |grep -o -e 'dev [^ ]')


Otherwise netfs won't start at boot.

Version-Release number of selected component (if applicable):
initscripts-8.76-1.i386
  
Actual results:
no network drives after boot.


Expected results:



Additional info:

my default route:

default via 192.168.1.20 dev eth0  proto static

will result in defdev=static which is wrong.

Comment 1 Bug Zapper 2008-05-14 11:03:18 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Martin Lui 2008-08-29 07:31:30 UTC
I just updated to initscripts-8.76.2-1, which contains an update for 05-netfs that resolved this bug.  netfs now starts up properly (tested without reboot by calling './05-netfs eth0 up')


Note You need to log in before you can comment on or make changes to this bug.